[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / ForFormArrayItemsDirective

# Class: ForFormArrayItemsDirective

Defined in: [packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:41](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts#L41)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new ForFormArrayItemsDirective()

> **new ForFormArrayItemsDirective**(`container`, `template`, `viewContainerRef`, `cdr`): [`ForFormArrayItemsDirective`](ForFormArrayItemsDirective.md)

Defined in: [packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:47](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts#L47)

#### Parameters

##### container

`ControlContainer`

##### template

`TemplateRef`\<[`ForFormArrayItemsDirectiveContext`](../interfaces/ForFormArrayItemsDirectiveContext.md)\>

##### viewContainerRef

`ViewContainerRef`

##### cdr

`ChangeDetectorRef`

#### Returns

[`ForFormArrayItemsDirective`](ForFormArrayItemsDirective.md)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:55](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts#L55)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:75](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts#L75)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
